<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/

  if ($GigNotes!="")
  {
    $GigNotes = strip_tags($GigNotes);
    // Define Title
      $Title = htmlspecialchars($GigNotes, ENT_QUOTES);
    // Define String
      if ( !$GigDetailsShown )
      {
        $NumberOfCharacters = mb_strlen ($GigNotes, 'UTF-8');
        $SetupFrontendCalendarCharsInFields = getSetup('SetupFrontendCalendarCharsInFields');
        if ( $NumberOfCharacters > $SetupFrontendCalendarCharsInFields )
        {
          $GigNotes = mb_substr ( $GigNotes, 0, $SetupFrontendCalendarCharsInFields, 'UTF-8' );
          $GigNotes = trim ($GigNotes).'…';
        }
      }
      $GigNotes = htmlspecialchars($GigNotes, ENT_QUOTES);
    // Ouput
      echo '<span title="'.$Title.'">';
      echo $GigNotes;
      echo '</span>';
    if ($FrontendType=='list' AND $Attributes[$AmountOfAttributes-1]!='GigNotes' ) echo ', ';
  }


?>
